Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.storage.database
Enum DatabaseProperty

    java.lang.Object
      java.lang.Enum<DatabaseProperty>
          edu.stanford.smi.protege.storage.database.DatabaseProperty

All Implemented Interfaces:
  Serializable, Comparable<DatabaseProperty>

    public enum DatabaseProperty

extends Enum<DatabaseProperty>

Enum Constant Summary
`DRIVER_PROPERTY`
`PASSWORD_PROPERTY`
`TABLENAME_PROPERTY`
`URL_PROPERTY`
`USERNAME_PROPERTY`

Method Summary
`String` | `getDefaultValue()`
`String` | `getName()`
`static String` | `getProperty(DatabaseProperty property)`
`String` | `getTitle()`
`static void` | `setProperty(DatabaseProperty property, String value)`
`static DatabaseProperty` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DatabaseProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DRIVER_PROPERTY

    public static final DatabaseProperty DRIVER_PROPERTY

### TABLENAME_PROPERTY

    public static final DatabaseProperty TABLENAME_PROPERTY

### URL_PROPERTY

    public static final DatabaseProperty URL_PROPERTY

### USERNAME_PROPERTY

    public static final DatabaseProperty USERNAME_PROPERTY

### PASSWORD_PROPERTY

    public static final DatabaseProperty PASSWORD_PROPERTY

Method Detail

### values

    public static final DatabaseProperty[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DatabaseProperty c : DatabaseProperty.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DatabaseProperty valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getName

    public String getName()

### getDefaultValue

    public String getDefaultValue()

### getTitle

    public String getTitle()

### getProperty

    public static String getProperty(DatabaseProperty property)

### setProperty

    public static void setProperty(DatabaseProperty property,
                                   String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.